API documentation | API docs for agents | OpenAPI 3.1
PATCH /api/v1/integrations/quickbooks/customer-mappings
ark.update_quickbooks_customer_mappings
Updates or clears ARK customer to QuickBooks customer mappings using the same conflict checks as the QuickBooks settings UI.
- Availability
- Expanded preview
- Scopes
billing:write- ARK permissions
canViewBillingcanMakeAdjustments- Team visibility
- Not entity-scoped
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
mappingsarray<object>requiredmin items: 1; max items: 500
Example request
Shell
curl -X PATCH 'https://arktms.com/api/v1/integrations/quickbooks/customer-mappings' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"mappings": [
{
"tmsEntityId": "<tmsEntityId>",
"qboEntityId": "<qboEntityId>"
}
]
}'Success response
Updated QuickBooks customer mappings
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.typestringrequiredone of: customer, carrier
data.requestedCountintegerrequireddata.savedCountintegerrequireddata.mappedCountintegerrequireddata.clearedCountintegerrequireddata.entityIdsarray<string>requireddata.qboEntityIdsarray<string>requiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 409- Idempotency conflict or in-progress retry